package com.subd.subd.Controllers;

import com.subd.subd.Dtos.CarDto;
import com.subd.subd.Models.Car;
import com.subd.subd.Services.CarService;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
public class CarController {
    private final CarService CarService;
    public CarController(CarService CarService) {
        this.CarService = CarService;
    }
    @GetMapping("/car/{id}")
    public Car getCar(@PathVariable Long id) {
        return CarService.findCar(id);
    }
    @GetMapping("/car")
    public List<Car> getCars() {
        return CarService.findAllCars();
    }
    @PostMapping("/car")
    public Car createCar(@RequestBody CarDto carDto) {
        return CarService.addCar(carDto.getGosNumber(), carDto.getVin(), carDto.getDriverId());
    }
    @PutMapping("/car/{id}")
    public Car updateCar(@PathVariable Long id, @RequestBody CarDto carDto) {
        return CarService.updateCar(id, carDto.getGosNumber(), carDto.getVin(), carDto.getDriverId());
    }
    @DeleteMapping("/car/{id}")
    public Car deleteCar(@PathVariable Long id) {
        return CarService.deleteCar(id);
    }
}
