package com.subd.subd.Controllers;

import com.subd.subd.Models.Client;
import com.subd.subd.Services.ClientService;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
public class ClientController {
    private final ClientService ClientService;
    public ClientController(ClientService ClientService) {
        this.ClientService = ClientService;
    }
    @GetMapping("/client/{id}")
    public Client getClient(@PathVariable Long id) {
        return ClientService.findClient(id);
    }
    @GetMapping("/client")
    public List<Client> getClients() {
        return ClientService.findAllClients();
    }
    @PostMapping("/client")
    public Client createClient(@RequestBody Client client) {
        return ClientService.addClient(client.getName(), client.getPhone(), client.getEmail());
    }
    @PutMapping("/client/{id}")
    public Client updateClient(@PathVariable Long id, @RequestBody Client client) {
        return ClientService.updateClient(id, client.getName(), client.getPhone(), client.getEmail());
    }
    @DeleteMapping("/client/{id}")
    public Client deleteClient(@PathVariable Long id) {
        return ClientService.deleteClient(id);
    }
}
