package com.subd.subd.Controllers;

import com.subd.subd.Models.PickUpPoint;
import com.subd.subd.Services.PickUpPointService;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
public class PickUpPointController {
    private final PickUpPointService PickUpPointService;
    public PickUpPointController(PickUpPointService PickUpPointService) {
        this.PickUpPointService = PickUpPointService;
    }
    @GetMapping("/pickUpPoint/{id}")
    public PickUpPoint getPickUpPoint(@PathVariable Long id) {
        return PickUpPointService.findPickUpPoint(id);
    }
    @GetMapping("/pickUpPoint")
    public List<PickUpPoint> getPickUpPoints() {
        return PickUpPointService.findAllPickUpPoints();
    }
    @PostMapping("/pickUpPoint")
    public PickUpPoint createPickUpPoint(@RequestBody PickUpPoint pickUpPoint) {
        return PickUpPointService.addPickUpPoint(pickUpPoint.getAddress());
    }
    @PutMapping("/pickUpPoint/{id}")
    public PickUpPoint updatePickUpPoint(@PathVariable Long id, @RequestBody PickUpPoint pickUpPoint) {
        return PickUpPointService.updatePickUpPoint(id, pickUpPoint.getAddress());
    }
    @DeleteMapping("/pickUpPoint/{id}")
    public PickUpPoint deletePickUpPoint(@PathVariable Long id) {
        return PickUpPointService.deletePickUpPoint(id);
    }
}
